cmdr
Artifact Content
Not logged in

Artifact 0e6890f10dafd1e62c31109ab9845a83c9914ab9:


[subsection Tcl]

This project requires a working installation of Tcl 8.5, or higher.

[para] Use whatever you are comfortable with, as long as it provides
Tcl 8.5, or higher.

[para] An easy way to get a proper installation of a recent Tcl 8.5,
(which I recommend) is to download and install

[uri http://www.activestate.com ActiveState's] 
[uri http://www.activestate.com/activetcl {ActiveTcl 8.5}]

for your platform. Just follow the link and instruction on that site.

[para] After the installation of ActiveTcl 8.5 simply run the command

[example {
    teacup update
}]

This will install a lot more packages than found in the distribution
alone.

(Disclosure: I, Andreas Kupries, work for ActiveState, maintaining
ActiveTcl and TclDevKit).

[para] Do you wish to build Tcl on your own ?
The sources of all versions can be found at

[list_begin definitions]
[def Tcl]   [uri http://core.tcl.tk/tcl/]
[list_end]